TORIFY(1)

NAME
torify - wrapper for torsocks and tor

SYNOPSIS

torify application [application’s arguments]

DESCRIPTION

torify is a simple wrapper that attempts to find the best underlying Tor wrapper available on a system. It calls torsocks with a tor specific configuration file.

torsocks is an improved wrapper that explicitly rejects UDP, safely resolves DNS lookups and properly socksifies your TCP connections.

Please note that since both method use LD_PRELOAD, torify cannot be applied to suid binaries.

WARNING

When used with torsocks, torify should not leak DNS requests or UDP data.

Both will leak ICMP data.

SEE ALSO

tor(1), tor-resolve(1), torsocks(1)

AUTHORS

Peter Palfrader and Jacob Appelbaum wrote this manual.